Transactional SMS
Batch query multiple message statuses
POST
Retrieves current delivery states and carrier timestamps for an array of up to 50 message IDs in a single call.
header
X-Api-Key<token>SMS Pro API Key (sk_live_... or sk_test_...)
application/json- body
messageIds*array<string>Items
items <= 50Array of message details matching the requested IDs
application/json- response
status?stringdata?array<>curl -X POST 'https://api.smspro.com/api/v1/public/sms/messages' \ -H 'Content-Type: application/json' \ -d '{ "messageIds": [ "string" ]}'Example Response
{ "status": "string", "data": [ { "id": "string", "to": "string", "message": "string", "senderId": "string", "status": "string", "deliveryStatus": "string", "providerMessageId": "string", "segments": 0, "sentAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z" } ]}